Bug 1630937 - npm requires python2
Summary: npm requires python2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nodejs
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-19 14:53 UTC by Miro Hrončok
Modified: 2018-10-02 19:25 UTC (History)
7 users (show)

Fixed In Version: nodejs-10.11.0-1.fc29 nodejs-8.12.0-1.fc28 nodejs-8.12.0-1.fc27 nodejs-10-20180920144631.9c690d0e nodejs-10-20180920144631.6c81f848
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-23 18:29:58 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2018-09-19 14:53:12 UTC
Once again, npm-1:6.4.1-1.10.10.0.1.fc30 requires /usr/bin/python2 - is the dependency intentional?

Comment 1 Stephen Gallagher 2018-09-19 15:10:07 UTC
I thought I *fixed* that...

Comment 2 Stephen Gallagher 2018-09-19 15:36:38 UTC
OK, turned out I had the `find` command that drops the execute bit set up wrong. I'll have a fixed build out shortly.

Comment 3 Fedora Update System 2018-09-20 19:06:25 UTC
nodejs-8.12.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-66ac0293f0

Comment 4 Fedora Update System 2018-09-20 19:06:36 UTC
nghttp2-1.33.0-1.fc29 nodejs-10.11.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e6a90dac17

Comment 5 Fedora Update System 2018-09-20 19:06:45 UTC
nodejs-8.12.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ffcf3f74d5

Comment 6 Fedora Update System 2018-09-20 19:06:55 UTC
nodejs-10-20180920144631.9c690d0e has been submitted as an update to Fedora 28 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-4fbe56be10

Comment 7 Fedora Update System 2018-09-20 19:07:04 UTC
nodejs-10-20180920144631.6c81f848 has been submitted as an update to Fedora 29 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-e08a8507e8

Comment 8 Fedora Update System 2018-09-21 07:59:34 UTC
nghttp2-1.33.0-1.fc29, nodejs-10.11.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e6a90dac17

Comment 9 Fedora Update System 2018-09-21 08:33:45 UTC
nodejs-8.12.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-66ac0293f0

Comment 10 Fedora Update System 2018-09-21 08:47:43 UTC
nodejs-8.12.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ffcf3f74d5

Comment 11 Fedora Update System 2018-09-21 09:18:22 UTC
nodejs-10-20180920144631.9c690d0e has been pushed to the Fedora 28 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-4fbe56be10

Comment 12 Fedora Update System 2018-09-21 11:49:17 UTC
nodejs-10-20180920144631.6c81f848 has been pushed to the Fedora 29 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2018-e08a8507e8

Comment 13 Fedora Update System 2018-09-21 23:52:28 UTC
libuv-1.23.0-1.fc28 nodejs-8.12.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ffcf3f74d5

Comment 14 Fedora Update System 2018-09-21 23:52:41 UTC
libuv-1.23.0-1.fc29 nghttp2-1.33.0-1.fc29 nodejs-10.11.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e6a90dac17

Comment 15 Fedora Update System 2018-09-22 20:03:26 UTC
libuv-1.23.0-1.fc29, nghttp2-1.33.0-1.fc29, nodejs-10.11.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e6a90dac17

Comment 16 Fedora Update System 2018-09-22 22:13:33 UTC
libuv-1.23.0-1.fc28, nodejs-8.12.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ffcf3f74d5

Comment 17 Fedora Update System 2018-09-23 18:29:58 UTC
libuv-1.23.0-1.fc29, nghttp2-1.33.0-1.fc29, nodejs-10.11.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2018-09-23 20:18:50 UTC
libuv-1.23.0-1.fc28, nodejs-8.12.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2018-09-29 23:56:28 UTC
nodejs-8.12.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2018-10-02 16:26:37 UTC
nodejs-10-20180920144631.9c690d0e has been pushed to the Fedora 28 Modular stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2018-10-02 19:25:52 UTC
nodejs-10-20180920144631.6c81f848 has been pushed to the Fedora 29 Modular stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.